﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using Telerik.Web.UI;

public partial class RadToolTip_Default : System.Web.UI.Page
{

	protected override void OnInit(EventArgs e)
	{
		base.OnInit(e);
		DataTable ImageTable = new DataTable();
		ImageTable.Columns.Add(new DataColumn("ImageName"));
		ImageTable.Rows.Add(new object[] { "fakeImg1" });
		ImageTable.Rows.Add(new object[] { "fakeImg2" });
		ImageTable.Rows.Add(new object[] { "fakeImg3" });
		ImageRepeater.ItemTemplate = new ImageTemplate();
		ImageRepeater.DataSource = ImageTable;
		ImageRepeater.DataBind();
	}


	class ImageTemplate : ITemplate
	{

		public ImageTemplate()

		{ }
		public void InstantiateIn(System.Web.UI.Control container)
		{
			Image Img = new Image();
			Img.DataBinding += new EventHandler(Img_DataBinding);
			LiteralControl StartDiv = new LiteralControl("<div style=\"float: left; padding-left:10px;\">");
			container.Controls.Add(StartDiv);
			container.Controls.Add(Img);
			LiteralControl EndDiv = new LiteralControl("</div>");
			container.Controls.Add(EndDiv);

		}
		void Img_DataBinding(object sender, EventArgs e)
		{
			Image Img;
			Img = (Image)sender;
			RepeaterItem container = (RepeaterItem)Img.NamingContainer;
			Img.ImageUrl = "/_layouts/images/jobsarathyDemo/TempImages/" + DataBinder.Eval(container.DataItem, "ImageName").ToString();
			RadToolTip tip = new RadToolTip();
			tip.RelativeTo = ToolTipRelativeDisplay.Element;
			tip.Controls.Add(new LiteralControl("Dynamically added controls"));
			tip.Width = Unit.Pixel(200);
			tip.Height = Unit.Pixel(200);
			tip.TargetControlID = Img.ClientID;
			tip.IsClientID = true;
			container.Page.Form.Controls.Add(tip);
		}

	}
}